Vous êtes nouveau sur Developpez.com ? Créez votre compte ou connectez-vous afin de pouvoir participer !

Vous devez avoir un compte Developpez.com et être connecté pour pouvoir participer aux discussions.

Vous n'avez pas encore de compte Developpez.com ? Créez-en un en quelques instants, c'est entièrement gratuit !

Si vous disposez déjà d'un compte et qu'il est bien activé, connectez-vous à l'aide du formulaire ci-dessous.

Identifiez-vous
Identifiant
Mot de passe
Mot de passe oublié ?
Créer un compte

L'inscription est gratuite et ne vous prendra que quelques instants !

Je m'inscris !

Quelle version de Java EE utilisez vous en entreprise ?
Dans quel contexte (serveur d'application, SGBD, etc.) ?

Le , par link256

23PARTAGES

0  0 
Quelle version de Java EE utilisez vous ?
Une petite question que je me pose souvent sous quelle version du J2EE développez vous ?
Quel serveur d'application et SGBD lui sont associés ?

suis je seul à la trainne dans mon entreprise ?

Pour ma part je suis dans une SSII et sur mon lieu de mission :
- JE22 1.4
- Websphère 5.1.1.18
- Oracle9i Enterprise Edition Release 9.2.0.6.0 - Production

Il faudra encore attendre 1 an pour voir le 1.5 débarquer dans mon entrerpise

note : je ne sais pas vraiment ou poster pour que ce sondage est la meilleure visibilité

Une erreur dans cette actualité ? Signalez-le nous !

Avatar de Benouze
Membre averti https://www.developpez.com
Le 24/09/2009 à 15:05
- JEE 1.4
- WAS 6.0
- Oracle v9.2.0.6

Passage à la 1.5 l'année prochaine si tout va bien ^^
0  0 
Avatar de badoress
Membre habitué https://www.developpez.com
Le 24/09/2009 à 16:04
- JEE 1.5
- OAS (OC4J 101340)
- Oracle 10g

et tout ce passe bien !
0  0 
Avatar de F2S
Membre régulier https://www.developpez.com
Le 28/09/2009 à 10:23
Que pensez vous du 1.6...

je viens de dabarquer dans une boite quii veut passer sur les techno J2EE, j'ai préconisé le 1.6... qu'en pensez vous ?
0  0 
Avatar de xtope
Membre du Club https://www.developpez.com
Le 28/09/2009 à 12:38
Que pensez vous du 1.6...

je viens de dabarquer dans une boite quii veut passer sur les techno J2EE, j'ai préconisé le 1.6... qu'en pensez vous ?
Même si c'est un risque à prendre, je pense que c'est une bonne chose. A mon sens le 1.6 arrive à maturité, donc autant le préconiser sur un environnement "vierge".

Sinon perso j2ee 1.4, eclipse 3.2, Oracle 10g.
0  0 
Avatar de Jidefix
Membre éprouvé https://www.developpez.com
Le 28/09/2009 à 12:54
Bonjour,
Une ancienne application utilise java 1.4 sur le serveur JBOSS 4.0.3 avec une JVM 1.4.2 (JEE 4).
A priori pas de mise à jour prévue, d'une part parce que nous n'en ressentons pas le besoin, d'autre par parce que le code source contient des variables "enum", ce qui bloque un passage à la JVM 1.5 sans retoucher au code source.

Une nouvelle application installée récemment (1 an) est développée en java 1.6 sur un tomcat 6.X. (avec JEE 5 donc)

J'aime bien les nouvelles syntaxes java 6, qui permettent d'exprimer simplement des idées telles que les "for each", l'auto-boxing, etc.
Bref, des trucs sympas, mais rien de fondamental par rapport à la JVM 1.4.
En revanche je n'ai aucune idée de l'impact sur les performances, étant donné que la nouvelle application ne subit pas une charge énorme (une trentaine de session à maintenir, et peut-être un pic à 10 requêtes simultanées)

Par contre sur les postes utilisateurs, seul java 1.3 est installé, ce qui est par contre très chiant pour les petites applications (pas de String.split(), pas de StringBuffer...)

En SGBD, on utilises Oracle 10g au fait
0  0 
Avatar de sinok
Expert éminent sénior https://www.developpez.com
Le 28/09/2009 à 15:33
Citation Envoyé par Jidefix Voir le message

Une nouvelle application installée récemment (1 an) est développée en java 1.6 sur un tomcat 6.X. (avec JEE 5 donc)
Tomcat n'a absolument rien à voir avec JEE (pas plus que des frameworks comme struts, spring & cie). C'est juste un conteneur de Servlet.

JEE correspond à une spec précise, imposant d'avoir par exemple un conteneur EJB et ce genre de choses. Or Tomcat ne posséde pas le 10eme de ce qui est requis pour respecter la norme JEE. (bon ensuite il reste les profils JEE 6 mais c'est un monde à part).
0  0 
Avatar de Jidefix
Membre éprouvé https://www.developpez.com
Le 28/09/2009 à 15:39
Il en implémente une partie, et il me semble qu'on peut même rajouter des modules pour intégrer les EJB...
Sans respecter la norme JEE entièrement, il en suit une partie (servlets/jsp), et reste un acteur incontournable du monde JEE il me semble. Une sorte de JEE light quoi...
De plus il demandait aussi quels outils étaient employés en parallèle, j'ai donc juste fait un état des lieux
0  0 
Avatar de barbichu
Futur Membre du Club https://www.developpez.com
Le 30/09/2009 à 7:18
Java 1.5
Tomcat 5.5
Sql Server 2000 et 2005
Pas d'EJB
0  0 
Avatar de
https://www.developpez.com
Le 30/09/2009 à 7:42
Pour ma part :
  • Java EE 5
  • Glassfish 2.1
  • MySql 5.1


Il s'agit d'un projet qui a commence il y a environ 6 mois et dont les premières démonstrations devraient intervenir rapidement (comprendre dans les jours/semaines a venir )
0  0 
Avatar de GLDavid
Expert confirmé https://www.developpez.com
Le 30/09/2009 à 8:20
Bonjour

Pour ma part (et celle de la boîte pour laquelle je bosse, attention, je ne parle que de l'interne, pas de nos prestations clients):
-JEE 5
-Tomcat 5.5 ou 6, GlassFish en cours
-PostgreSQL 8.1 / MySQL 5

@++
0  0